| AI Engine-ML Intrinsics User Guide (v2026.1)

Loading...
Searching...
No Matches
Functions
Sparse Load Reset Operations
Load/Store Operations » Compressed Sparse Load Operations

## Overview

## Functions
void | sparse_reset (v128int8_sparse_compress *&p)
| Resets the internal buffer.
void | sparse_reset (v128uint8_sparse_compress *&p)
| Resets the internal buffer.
void | sparse_reset (v256int4_sparse_compress *&p)
| Resets the internal buffer.
void | sparse_reset (v256uint4_sparse_compress *&p)
| Resets the internal buffer.
void | sparse_reset (v64bfloat16_sparse_compress *&p)
| Resets the internal buffer.
void | sparse_reset (v64int16_sparse_compress *&p)
| Resets the internal buffer.
void | sparse_reset (v64uint16_sparse_compress *&p)
| Resets the internal buffer.
void | sparse_reset_and_get_pointer (v128int8_sparse_compress *&p)
| Resets the internal buffer and returns the internal buffer pointer.
void | sparse_reset_and_get_pointer (v128uint8_sparse_compress *&p)
| Resets the internal buffer and returns the internal buffer pointer.
void | sparse_reset_and_get_pointer (v256int4_sparse_compress *&p)
| Resets the internal buffer and returns the internal buffer pointer.
void | sparse_reset_and_get_pointer (v256uint4_sparse_compress *&p)
| Resets the internal buffer and returns the internal buffer pointer.
void | sparse_reset_and_get_pointer (v64bfloat16_sparse_compress *&p)
| Resets the internal buffer and returns the internal buffer pointer.
void | sparse_reset_and_get_pointer (v64int16_sparse_compress *&p)
| Resets the internal buffer and returns the internal buffer pointer.
void | sparse_reset_and_get_pointer (v64uint16_sparse_compress *&p)
| Resets the internal buffer and returns the internal buffer pointer.

## Function Documentation

## ◆ sparse_reset() [1/7]

void sparse_reset | ( | v128int8_sparse_compress *& | p | ) |

Resets the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.

## ◆ sparse_reset() [2/7]

void sparse_reset | ( | v128uint8_sparse_compress *& | p | ) |

Resets the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.

## ◆ sparse_reset() [3/7]

void sparse_reset | ( | v256int4_sparse_compress *& | p | ) |

Resets the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.

## ◆ sparse_reset() [4/7]

void sparse_reset | ( | v256uint4_sparse_compress *& | p | ) |

Resets the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.

## ◆ sparse_reset() [5/7]

void sparse_reset | ( | v64bfloat16_sparse_compress *& | p | ) |

Resets the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.

## ◆ sparse_reset() [6/7]

void sparse_reset | ( | v64int16_sparse_compress *& | p | ) |

Resets the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.

## ◆ sparse_reset() [7/7]

void sparse_reset | ( | v64uint16_sparse_compress *& | p | ) |

Resets the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.

## ◆ sparse_reset_and_get_pointer() [1/7]

void sparse_reset_and_get_pointer | ( | v128int8_sparse_compress *& | p | ) |

Resets the internal buffer and returns the internal buffer pointer.

Parameters

  p | Returns the internal buffer pointer.

## ◆ sparse_reset_and_get_pointer() [2/7]

void sparse_reset_and_get_pointer | ( | v128uint8_sparse_compress *& | p | ) |

Resets the internal buffer and returns the internal buffer pointer.

Parameters

  p | Returns the internal buffer pointer.

## ◆ sparse_reset_and_get_pointer() [3/7]

void sparse_reset_and_get_pointer | ( | v256int4_sparse_compress *& | p | ) |

Resets the internal buffer and returns the internal buffer pointer.

Parameters

  p | Returns the internal buffer pointer.

## ◆ sparse_reset_and_get_pointer() [4/7]

void sparse_reset_and_get_pointer | ( | v256uint4_sparse_compress *& | p | ) |

Resets the internal buffer and returns the internal buffer pointer.

Parameters

  p | Returns the internal buffer pointer.

## ◆ sparse_reset_and_get_pointer() [5/7]

void sparse_reset_and_get_pointer | ( | v64bfloat16_sparse_compress *& | p | ) |

Resets the internal buffer and returns the internal buffer pointer.

Parameters

  p | Returns the internal buffer pointer.

## ◆ sparse_reset_and_get_pointer() [6/7]

void sparse_reset_and_get_pointer | ( | v64int16_sparse_compress *& | p | ) |

Resets the internal buffer and returns the internal buffer pointer.

Parameters

  p | Returns the internal buffer pointer.

## ◆ sparse_reset_and_get_pointer() [7/7]

void sparse_reset_and_get_pointer | ( | v64uint16_sparse_compress *& | p | ) |

Resets the internal buffer and returns the internal buffer pointer.

Parameters

  p | Returns the internal buffer pointer.